Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.event
Class EventListenerMap

    java.lang.Object
      org.jdesktop.swingx.event.EventListenerMap

    public class EventListenerMap

extends java.lang.Object

Intended to be a replacement for `EventListenerList`.

Author:
  Joshua Outwater, Karl Schaefer
See Also:
  `EventListenerList`

Constructor Summary
`EventListenerMap()`

Method Summary
`
`<T extends java.util.EventListener> void`
` | `add(java.lang.Class<T> clazz, T listener)` Adds the listener as a listener of the specified type.
`int` | `getListenerCount()` Returns the total number of listeners of the supplied type for this listener list.
`
`<T extends java.util.EventListener> int`
` | `getListenerCount(java.lang.Class<T> clazz)` Returns the total number of listeners for this listener type.
`java.util.List<java.util.EventListener>` | `getListeners()` Returns a list containing all of the listeners managed by this `EventListenerMap`.
`
`<T extends java.util.EventListener> java.util.List<T>`
` | `getListeners(java.lang.Class<T> clazz)` Return a list of all the listeners of the given type.
`
`<T extends java.util.EventListener> void`
` | `remove(java.lang.Class<T> clazz, T listener)` Removes the listener as a listener of the specified type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListenerMap

    public EventListenerMap()

Method Detail

### getListeners

    public java.util.List<java.util.EventListener> getListeners()

  Returns a list containing all of the listeners managed by this `EventListenerMap`.

  Returns:
    all managed listeners

### getListeners

    public <T extends java.util.EventListener> java.util.List<T> getListeners(java.lang.Class<T> clazz)

  Return a list of all the listeners of the given type.

  Returns:
    all of the listeners of the specified type.

### getListenerCount

    public int getListenerCount()

  Returns the total number of listeners of the supplied type for this listener list.

### getListenerCount

    public <T extends java.util.EventListener> int getListenerCount(java.lang.Class<T> clazz)

  Returns the total number of listeners for this listener type.

### add

    public <T extends java.util.EventListener> void add(java.lang.Class<T> clazz,
                                                        T listener)

  Adds the listener as a listener of the specified type.

  Type Parameters:
    `T` - the type of the listener to be added
  Parameters:
    `clazz` - the class type to add
    `l` - the listener to be added

### remove

    public <T extends java.util.EventListener> void remove(java.lang.Class<T> clazz,
                                                           T listener)

  Removes the listener as a listener of the specified type.

  Type Parameters:
    `T` - the type of the listener to remove
  Parameters:
    `clazz` - the class type to remove
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.